import React from "react";
import { Heart, MessageCircle } from "lucide-react";

const ActionButtons = ({ handleLike, setShowComments }) => (
  <div className="flex mb-4 pb-2 border-b">
    <button
      onClick={handleLike}
      className="flex items-center justify-center w-1/2 gap-2 py-2 hover:bg-gray-100 rounded"
    >
      <Heart size={20} />
      <span>Like</span>
    </button>
    <button
      onClick={() => setShowComments(true)}
      className="flex items-center justify-center w-1/2 gap-2 py-2 hover:bg-gray-100 rounded"
    >
      <MessageCircle size={20} />
      <span>Comment</span>
    </button>
  </div>
);

export default ActionButtons;
